$(function(){
	var isBpo =$("#isBpo").val();
	var casecource=$("#casecource").val();
	if(isBpo =="N"){
		$("#high").attr("class","check_yes gd_o");
	} else {
		$("#high").attr("class","check_no gd_o");
	}
	if(isBpo =="N" && ( casecource=="" || casecource=="3")){
		$("#branchIdSelect").show();
		$("#uploadImg").show();
		$("#clmorg").show();
		$("#redorg").show();
	}else{
		$("#branchIdSelect").hide();
		$("#uploadImg").hide();
		$("#clmorg").hide();
		$("#redorg").hide();
	}
	
	
	$("#handoverDate").click(function(){WdatePicker({maxDate:'%y-%M-%d'});});
	$("#cycleDate").click(function(){WdatePicker({dateFmt:'%y-%M-%d'});});
	$("span[name='unCheckBox']").unbind("click");
	$(".lay").unbind('click'); 
/*	var preState =$("#preState").text();
	alert(preState);*/
	var claimSubState=$("#claimSubState").val();
	if(claimSubState=='03'){
		$(".jinyong").attr("disabled","disabled"); 

	}
	
	
});


//生成赔案号从报案登记中进来时使用
function generaterClaimNo(){
		$.ajax({
			type:"POST",
			url : 'addClmtaskOrClaimNo.do',
			error :function(){
				
			},
			success :function(data){
				$("#claimgen").text(data);
				$("#claimPage").text("赔案号:"+data);
				$("#cliamNo").val(data);
				//alert($("#cliamNo").val());
				//showDiv('open3');
			}
		});
	}
	//点击下一页跳转
	function pagetz(){
	var btchNo=$("#btchNo").val();
		var handoverDate=$("#handoverDate").val();
		var cycleDate=$("#cycleDate").vla();
		var handoverN=$("#handoverN").val();
//		if(btchNo!=""||btchNo!=null){
//			alert("11");
//			if(handoverDate==null||cycleDate==null||handoverN==null){
//				alert("请把直付批次信息填写完整");
//			}
//		}
		
		$.ajax({
			type:"POST",
			url : 'queryPayInfo.do',
			data:{"claimNo":$("#claimPage").text()},
			
			error :function(){
				
			},
			success :function(data){
			}
		});
	}
	//赔案相关人员信息
	function queryPayInfo(){
		
		/*$("#queryPay").attr("onclick","");*/
		var preNos ="";
		 $("#getBlock").find("#preInfo").each(function() {
				if($(this).find("span:eq(0)").is(".check_yes")){
					preNo = $(this).find("a:eq(0)").html();
					preNos+=preNo+',';
				}
		});
		var panduan="Y";
		 if($("#high").is('.check_yes')){
			 panduan="N";
		 }
		 var  paying="0";
		 if($("#paying").is('.check_yes')){
			 paying="1";
		 }
		 
		 
		//alert("跳转赔案相关人员信息！"+$("#claimNo").val());
//			var preNos='';
//			var preNo=document.getElementsByName("preNos");
//			for ( var i = 0; i < preNo.length; i++) {
//				preNos+=preNo[i].value+",";
//				
//			}
		 	$("#gaoduan").val(panduan);
			var btchNo=$("#btchNo").val();
			var handoverDate=$("#handoverDate").val();
			var cycleDate=$("#cycleDate").val();
			var handoverN=$("#handoverN").val();
			var rptBmdm=$("#rptBmdm").val();
			var branchid=$("#branchid").val();
			var rptBranchId=$("#rptBranchId").val();
			var bmdm=$("#bmdm").val();
			var claimAccType=$("#claimAccType").val();
			var casecource=$("#casecource").val();
			var policyNo=$("#policyNo").html();
			var branchIdSelect=$('#branchIdSelect').val();
			if(casecource=='3' && panduan=='N'){
			if(branchIdSelect==null || branchIdSelect==""){
				alert("赔案所属机构必须选择！");
				return;
			}
			}
			if(casecource=='2'&&policyNo==null){
				alert("寿险保单号不能为空"); 
				return;
			}
			if(casecource=='2'&&branchid==""||branchid==null){
				alert("没有合适的保单不能报案");
				return ;
			}
			if(casecource=='1'&&policyNo==null&&panduan=="N"){
				alert("产险保单号不能为空");
				return;
			}
		
			
			if($("#pnameInsure").val()==null || $("#pnameInsure").val()==""){
				alert("被保险人姓名不能为空！");
				return;
			}
			if($("#pidInsure").val()==null || $("#pidInsure").val()==""){
				alert("被保险人证件号码不能为空！");
				return;
			}
			selectCheck("idtypeInsure");
			if($("#idtypeInsure").val().length<1){
				alert("请选择被保险人证件类型！");
				return;
			}
			//校验被保险人身份证证件号码有效性
			if($("#idtypeInsure").val()=="a"){
				if(checkIdentityCardTrueOrFalse($("#pidInsure").val())==false){
					alert("被保险人身份证号码格式有误，请检查!");
					return;
				}
			}
			$("#queryPay").attr("onclick","");
			if($("#claimNo").val() != null && $("#claimNo").val() !=""){
				$.ajax({
					url:"checkInsuranceInfo.do",
					data:{"claimNo":$("#claimNo").val(),"pnameInsure":$("#pnameInsure").val(),"pidInsure":$("#pidInsure").val(),"idtypeInsure":$("#idtypeInsure").val()},
			        type: "POST",
					success:function(data){
						if(data == "errorName"){
							alert("被保人姓名不匹配,请修改!");
							return;
	
						}else if(data== "errorId"){
							alert("被保人证件信息不匹配,请修改!");
							return;
						}else if(data == "error"){
							alert("系统异常,请联系开发人员进行协助解决");
							return;
						}else if(data == "Y"){
							if(btchNo!=""){
								if(handoverDate!=""||cycleDate!=""||handoverN!=""){
									 SkipByPost("queryPayInfo.do",{claimNo:$("#claimNo").val(),"btchNo":$("#btchNo").val(),"handoverName":$("#handoverName").val(),"handoverDate":$("#handoverDate").val(),"cycleDate":$("#cycleDate").val(),"preNos":preNos,"claimSource":$("#claimSource").val(),"rptBmdm":rptBmdm,"branchid":branchid,"rptBranchId":rptBranchId,"bmdm":bmdm,"branchIdSelect":branchIdSelect,"claimAccType":claimAccType,"isBpo":panduan,"paying":paying,"policyNo":policyNo,"isSendFlag":$("#isSendFlag").val()});
								
								}else {
									alert("请把直付批次信息填写完整");
								}
							}else {
								 SkipByPost("queryPayInfo.do",{claimNo:$("#claimNo").val(),"btchNo":$("#btchNo").val(),"handoverName":$("#handoverName").val(),"handoverDate":$("#handoverDate").val(),"cycleDate":$("#cycleDate").val(),"preNos":preNos,"claimSource":$("#claimSource").val(),"rptBmdm":rptBmdm,"branchid":branchid,"rptBranchId":rptBranchId,"bmdm":bmdm,"branchIdSelect":branchIdSelect,"claimAccType":claimAccType,"isBpo":panduan,"paying":paying,"policyNo":policyNo,"isSendFlag":$("#isSendFlag").val()});

							}	
						}
					},
					error:function(e){
						alert("系统异常,请联系开发人员进行协助解决");
						return;
					}
				});
			}
		
	}
	//出险信息跳转
	function queryAccidentInfo(){

		var casecource = $("#casecource").val();
		var policyNo = $("#policyNo").html();
		if (casecource == '2' && policyNo == null) {
			alert("寿险保单号不能为空");
			return;
		}
		var panduan="Y";
		 if($("#high").is('.check_yes')){
			 panduan="N";
		 }
		 var  paying="0";
		 if($("#paying").is('.check_yes')){
			 paying="1";
		 }
		SkipByPost("queryAccidentInfo.do",{claimNo:$("#claimNo").val(),"isBpo":panduan,"paying":paying,"policyNo":policyNo,"isSendFlag":$("#isSendFlag").val()});
	}
	

	 //单选 健康险、寿险
	$(".radio_yes,.radio_no").click(function(){ 
		  if($(this).is(".radio_yes")){
			  var str=$(this).attr("id");
			  var strrr=str.split(",");
			  $(this).addClass("radio_yes"); 
			  SkipByPost("clmInsureQuery.do",{claimNo:strrr[0],pid:strrr[1],pname:strrr[2],isBpo:strrr[3],bpoclaimNo:strrr[4],claimAccType:strrr[5],casecource:strrr[6],certificates:strrr[7]});
			  $(this).removeClass("radio_yes");
			  $(this).addClass("radio_no"); 
			  alert(casecource+";"+isBpo);
			  if(casecource=='3' && isBpo=='N'){
				  $("#branchIdSelect").show();
				  $("#uploadImg").show();
				  $("#clmorg").show();
				  $("#redorg").show();
			  }else{
				  //$("#branchIdSelect").hide();
				  $("#branchIdSelect").hide();
				  $("#uploadImg").hide();
				  $("#clmorg").hide();
				  $("#redorg").hide();
			  }
			
		  }
		  
		  else{
				  var obj=  $(".radio_yes");
				  var str=$(this).attr("id");
				  var strrr=str.split(",");
				  SkipByPost("clmInsureQuery.do",{claimNo:strrr[0],pid:strrr[1],pname:strrr[2],isBpo:strrr[3],bpoclaimNo:strrr[4],claimAccType:strrr[5],casecource:strrr[6],certificates:strrr[7]});
				obj.removeClass("radio_yes");          
				obj.addClass("radio_no"); 
				$(this).removeClass("radio_yes");
		        $(this).addClass("radio_no");
		        if(casecource=='3' && isBpo=='N'){
					  $("#branchIdSelect").show();
					  $("#uploadImg").show();
					  $("#clmorg").show();
					  $("#redorg").show();
				  }else{
					  $("#branchIdSelect").hide();
					  $("#uploadImg").hide();
					  $("#clmorg").hide();
					  $("#redorg").hide();
				  }
				 
		}
	      
		  
	 });
	
	function onclickIsBpo(){
		var isBpo="Y";
		if($("#high").is('.check_yes')){
			$("#high").attr(".check_no");
			isBpo="Y";
			$("#branchIdSelect").hide();
			$("#uploadImg").hide();
		} else if($("#high").is('.check_no')){
			$("#high").attr(".check_yes");
			isBpo="N";
			$("#branchIdSelect").show();
			$("#uploadImg").show();
		}
		  var str=$(".radio_yes").attr("id");
		  var strrr=str.split(",");
		  SkipByPost("clmInsureQuery.do",{claimNo:strrr[0],pid:strrr[1],pname:strrr[2],isBpo:isBpo,bpoclaimNo:strrr[4],claimAccType:strrr[5],casecource:strrr[6],certificates:strrr[7]});
	}
/*	被保人预授权信息全选*/
	function choice(n) {
		var s=$("span[name=checkBox]");
//		var infos=document.getElementsByName("preNos");
//		var checkboxs=document.getElementsByClassName("check_yes");
		if ($("#ckAll").is(".check_yes")) {
			for(var i in s){
				if(s[i].className=="check_yes"){
					s[i].className="check_no";
//					for(var i=0;i<checkboxs.length;i++){
////						infos[i].value="";
//						
//
//						}
				}
			}
//			$(n).className="check_no";
		} else {
			for(var i in s){
				if(s[i].className=="check_no"){
					s[i].className="check_yes";
//					for(var i=0;i<checkboxs.length;i++){
////						infos[i].value=checkboxs[i].id;
//						}
//				
					
				}
			}
//			$(n).className="check_yes";
		}
	}


	function choice1(obj, n, status) {
		var infos=document.getElementsByName("preNos");
		if ($(obj).is(".check_no")){
			$(obj).className="check_yes";
			if(obj.className =='check_no'){
//				infos[status].value=n;
			 }
			var s = $("span[name=checkBox]");
			var isAllChecked = true;
			for(var i in s){
				if(s[i].className=="check_no"){
					if (s[i].id != n){
						isAllChecked = false;
						break;
					}
				}
			}
			if (isAllChecked) {
				$("#ckAll").removeClass("check_no").addClass("check_yes");
			}
		} else {
			$(obj).className="check_no";
			$("#ckAll").removeClass("check_yes").addClass("check_no");
//			infos[status].value="";
		}

	}
/*	function checkPre(obj) {
		 SkipByPost("clmInsureQuery.do",{batchNo:$(obj).val()});
	}*/
//	$("#handoverDate").unbind("click");
//	$("#handoverDate").click(function(){WdatePicker({maxDate:'%y-%M-%d'});});
	
	function queryNo(){
		var btchNo = $("#btchNo").val();
		var claimNo= $("#claimNo").val();
		if(btchNo!=""){
		$("#handoverName").val("");
		$("#handoverDate").val("");
		$("#cycleDate").val("");
		$("#handoverName").removeAttr("readOnly");
		$("#handoverDate").removeAttr("readOnly");
		$("#cycleDate").removeAttr("readOnly");
		$("#handoverDate").unbind("click");
		$("#cycleDate").unbind("click");
		if($("#handoverDate").val()==''){
			$("#handoverDate").click(function(){WdatePicker({maxDate:'%y-%M-%d'});});
			$("#cycleDate").click(function(){WdatePicker({maxDate:'%y-%M-%d'});});
		}
		$.ajax({
			type :'POST',
			url : 'queryBtchNo.do',
			data:{"btchNo":btchNo,"claimNo":claimNo},
			error : function (){
				alert("服务器异常");
			},
			success : function (data){
				var info=data.collectDocInfo;
				if(info==null){
					alert("批次号错误请从新输入");
					$("#btchNo").val("");
					return ;
				}else {
					var item = data.preDpa;
					if(item!=null){
						$("#handoverName").val(item.handoverName);
						$("#handoverDate").val(data.handoverDate);
						$("#cycleDate").val(data.cycleDate);
						$("#handoverName").attr("readOnly","true");
						$("#handoverDate").attr("readOnly","true");
						$("#handoverDate").unbind("click");
						$("#handoverDate").removeAttr("click");
						$("#cycleDate").attr("readOnly","true");
						$("#cycleDate").unbind("click");
						$("#cycleDate").removeAttr("click");
					}
				}
				
			}
		});

		
	}
	}
	function count() {
		var fate=$("#handoverDate").val();
		var btchNo=$("#btchNo").val();
		var handoverName=$("#handoverName").val();
		
		if(btchNo==''){
			alert("批次号不能为空");
			$("#handoverName").val("");
			return;
		}
		if(handoverName==''){
			alert("交接人不能为空");
			return;
		}


	if(fate!=""){
		$.ajax({
			type : "POST",
			url : 'countDate.do',
			async:false,
			data : {
				"fate" : fate,"btchNo":btchNo
			},
			error : function() {
				alert("数据加载错误请稍后重试");
			},
			success : function(data) {
				$("#cycleDate").val(data.countDate);
				$("#cycleDate").attr("readOnly", "true");
				$("#cycleDate").unbind("click");
				$("#cycleDate").removeAttr("click");
			}
		});
	}
	
}
		//预授权号详情信息
//		function queryPreNo(obj,claimNo) {
//			var preNo=obj;
//			openWindow("checkgrant.do",{"preno" :preNo,"claimNo":claimNo});
////			SkipByPost("checkgrant.do",{"preno" :preNo,"claimNo":claimNo});
//			
//		}
	
	
	function untread(obj){
		if($("#inputSource").val()=='05'){
			  SkipByPost("fallbackInfo.do",{claimNo:obj});
		}else {
			alert("报案方式不能自助回退");
		}
		
	}
	
//	function openImage(){
//		var inputsource= $("#inputSource").val();
//		var iscommon= $("#isBpo").val();
//		if("1"==$("#casecource").val() && (iscommon!='N')){  // 产险影像
//			callEcm($("#claimNo").val(),"");
//		}else{  // 寿险或产险高端的影像
//			window.open(getRootPath()+'/inspection/clmtask/imageInfo.do?claimNo='+$("#claimNo").val(),"影像");
//		}
//	}